/*
 * Copyright ©Rastislav Mirek. All rights reserved.
 * No waranty for this software or derived works.
 */

package cz.muni.fi.pb162.graphicalobjectexample;

import cz.muni.fi.pb162.graphicalobjectexample.graphicalobjects.Circle;
import cz.muni.fi.pb162.graphicalobjectexample.graphicalobjects.Coordinate;
import cz.muni.fi.pb162.graphicalobjectexample.graphicalobjects.Line;
import cz.muni.fi.pb162.graphicalobjectexample.graphicalobjects.Rectangle;
import cz.muni.fi.pb162.graphicalobjectexample.graphicalobjects.Square;
import cz.muni.fi.pb162.graphicalobjectexample.graphicalobjects.Tetragon;
import cz.muni.fi.pb162.graphicalobjectexample.graphicalobjects.Triangle;
import cz.muni.fi.pb162.graphicalobjectexample.viewer.GraphicalObjectViewer;
import cz.muni.fi.pb162.graphicalobjectexample.viewer.Viewer;
import java.awt.Color;

/**
 * This class represents Demo.
 *
 * Created 29.10.2009 at 5:48:41.
 *
 * @author Rastislav Mirek <rmirek at mail.muni.cz>
 * @version %I%, %G%
 * @since 1.0
 */
public class Demo {


    public static void main(String[] args){
        Viewer.install(new Circle(new Coordinate(10, 10), 30, Color.yellow));
//        instaled.add(new Rectangle(new Coordinate(100, 100), 50, 100, Color.BLACK));
        Viewer.install(new Line(new Coordinate(500, 500), new Coordinate(510, 510), Color.BLUE));
        Viewer.install(new Tetragon(new Coordinate(1, 1), new Coordinate(250, 10), new Coordinate(70, 40), new Coordinate(200, 100), Color.GREEN));
        Viewer.install(new Triangle(new Coordinate(50, 50), new Coordinate(100, 90), new Coordinate(200, 100), Color.RED));
        Viewer.install(new Square(new Coordinate(300, 300), 150, Color.BLACK));
        Viewer.start();
    }
}
